
Redmine - Defect #32430

Can't delete project in Redmine 4.0.3

2019-11-07 05:28 - Cheng-Hui PENG

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Cheng-Hui PENG % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.3

Description

Hi All,

i login redmine as administrator, then go to admininstraion/projects --> select status(closed) --> then click delete. I got this error

message:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

I have no idea how to fix this issue, please give me some hint. I appreciate your help.

From log file:

Started DELETE "/projects/light-box-test" for 172.20.0.90 at 2019-11-07 12:25:02 +0800 

Processing by ProjectsController#destroy as HTML

  Parameters: {"authenticity_token"=>"JXNU7/NxINBFo9vALlOEusCKyDDWYj9UhvKB8yLWwGvnEWI4kreFUagMacTA

asc3RO2BHzOiStwMr8mf2sNZIQ==", "id"=>"light-box-test"}

  Current user: admin (id=1)

  Rendering projects/destroy.html.erb within layouts/base

  Rendered projects/destroy.html.erb within layouts/base (3.9ms)

Completed 200 OK in 155ms (Views: 46.3ms | ActiveRecord: 68.0ms)

Started DELETE "/projects/light-box-test" for 172.20.0.90 at 2019-11-07 12:25:04 +0800 

Processing by ProjectsController#destroy as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"ld9r+kh9UWiJC0Qs+VY91TXODyiK5jr+5YCYyaby5KlXvV0

tKbv06WSk9igXb35YsalGB28mT3Zv3dClXud94w==", "confirm"=>"1", "commit"=>"Delete", "id"=>"light-box-t

est"}

  Current user: admin (id=1)

Completed 500 Internal Server Error in 104ms (ActiveRecord: 42.0ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Table 'redmine.easy_settings' doesn't exist: SHOW F

ULL FIELDS FROM `easy_settings`):

app/controllers/projects_controller.rb:234:in `destroy'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

plugins/redmine_dmsf/lib/redmine_dmsf/webdav/custom_middleware.rb:68:in `call'

 Do you have any idea for this?

History

#1 - 2019-11-07 05:47 - Cheng-Hui PENG

Environment:

Redmine 4.0.3

Ruby: 2.3.8

Rails :5.2.2.1

Database : MySQL2

Plugin

redmine_dmsf

redmine_issues_tree

redmine_issue_view_columns
redmine_lightbox2

#2 - 2019-11-07 07:33 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Cheng-Hui PENG

redmine.easy_settings table is not part of the Redmine core, please try without any plugin.

#3 - 2019-11-29 03:10 - Cheng-Hui PENG

Marius BALTEANU wrote:

redmine.easy_settings table is not part of the Redmine core, please try without any plugin.

 I found  a similar issue in this page https://github.com/danmunn/redmine_dmsf/issues/856.

It seems occurred by dmsf,  I will try to remove all plugin first and next to follow the solution in that page.

#4 - 2019-12-07 02:59 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Closing this issue because it seems to be caused by a third-party plugin.
